List communication sessions

GET /api/v1/seances

Returns a paged list of telemetry communication sessions, optionally filtered by telemetry unit and time interval.

Query parameters

telemetry_id integer

Telemetry unit identifier. Optional — narrows the selection.

fp_start string

Time interval (segment start) in yyyy-mm-dd format. Optional.

fp_end string

Time interval (segment end) in yyyy-mm-dd format. Optional.

page integer

Page number.

Response fields

AttributeDescription
idIdentifier (unique key) of the communication session in the system
telemetry_idIdentifier (unique key) of the telemetry unit in the system
event_timeDate and time of the communication session in UTC format
EvtidCommunication session reason code
TrycntNumber of retries
TryflRetry code
stateCommunication session status
BtmTelemetry battery charge
RssiSignal level (RSSI)
BsgMetrological battery charge
gettimeServer current-time request
next_session_timeScheduled time of the next communication session
referenceparameter_seance_status_idIdentifier of the communication session status in the system
duration_sessionCommunication session duration
session_trafficTraffic volume
millisecondMilliseconds
dataArray of returned data
total_pagesTotal number of pages in the returned set
current_pageCurrent page
next_pageNext page available for downloading, null if the current page is the last one

Request

bash
curl -i \
  --header "access-token: *********************" \
  --header "token-type: Bearer" \
  --header "client: **********************" \
  --header "uid: user@local.net" \
  --header "Content-Type: application/json" \
  --request GET \
  "https://uztgs.uz/api/v1/seances?telemetry_id=1111&fp_start=2021-11-02&fp_end=2021-11-30&page=2"

Response

Naposledy aktualizováno

Byla tato stránka užitečná?